Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package reporters
  Definition Classes
    nsc
- AbstractReporter
- ConsoleReporter
- Reporter
- StoreReporter

c

scala.tools.nsc.reporters

# AbstractReporter 

###

#### abstract class AbstractReporter extends Reporter

This reporter implements filtering.

Source
  AbstractReporter.scala

Linear Supertypes
Reporter, reflect.internal.Reporter, AnyRef, Any
Known Subclasses
ScalaDocReporter, ReplReporter, ConsoleReporter
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AbstractReporter
2. Reporter
3. Reporter
4. AnyRef
5. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new AbstractReporter()

### Type Members

1.  class Severity extends AnyRef
   Definition Classes
     Reporter

### Abstract Value Members

1.  abstract def display(pos: Position, msg: String, severity: Severity): Unit
2.  abstract def displayPrompt(): Unit
3.  abstract val settings: Settings

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from AbstractReporter to any2stringadd[AbstractReporter] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (AbstractReporter, B)
   Implicit
     This member is added by an implicit conversion from AbstractReporter to ArrowAssoc[AbstractReporter] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  lazy val ERROR: Severity
   Definition Classes
     Reporter → Reporter
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  var cancelled: Boolean
   Definition Classes
     Reporter
9.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
10.  def comment(pos: Position, msg: String): Unit
    Definition Classes
      Reporter
11.  def count(severity: Severity): Int
    Definition Classes
      Reporter → Reporter
12.  def echo(msg: String): Unit

    For sending a message which should not be labelled as a warning/error, but also shouldn't require -verbose to be visible.

    For sending a message which should not be labelled as a warning/error, but also shouldn't require -verbose to be visible.

    Definition Classes
      Reporter
13.  def echo(pos: Position, msg: String): Unit
    Definition Classes
      Reporter
14.  def ensuring(cond: (AbstractReporter) ⇒ Boolean, msg: ⇒ Any): AbstractReporter
    Implicit
      This member is added by an implicit conversion from AbstractReporter to Ensuring[AbstractReporter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: (AbstractReporter) ⇒ Boolean): AbstractReporter
    Implicit
      This member is added by an implicit conversion from AbstractReporter to Ensuring[AbstractReporter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  def ensuring(cond: Boolean, msg: ⇒ Any): AbstractReporter
    Implicit
      This member is added by an implicit conversion from AbstractReporter to Ensuring[AbstractReporter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
17.  def ensuring(cond: Boolean): AbstractReporter
    Implicit
      This member is added by an implicit conversion from AbstractReporter to Ensuring[AbstractReporter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
18.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
20.  def error(pos: Position, msg: String): Unit
    Definition Classes
      Reporter
21.  def errorCount: Int
    Definition Classes
      Reporter
22.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
23.  def finish(): Unit
    Definition Classes
      Reporter
24.  def flush(): Unit
    Definition Classes
      Reporter
25.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from AbstractReporter to StringFormat[AbstractReporter] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
26.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
27.  def hasErrors: Boolean
    Definition Classes
      Reporter → Reporter
28.  def hasWarnings: Boolean
    Definition Classes
      Reporter
29.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
30.  final def info(pos: Position, msg: String, force: Boolean): Unit

    Informational messages.

    Informational messages. If `!force`, they may be suppressed.

    Definition Classes
      Reporter
31.  def info0(pos: Position, msg: String, severity: Severity, force: Boolean): Unit
    Attributes
      protected
    Definition Classes
      AbstractReporter → Reporter
32.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
33.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
34.  final def notify(): Unit
    Definition Classes
      AnyRef
35.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
36.  def rerunWithDetails(setting: Setting, name: String): String
    Definition Classes
      Reporter
37.  def reset(): Unit
    Definition Classes
      AbstractReporter → Reporter → Reporter
38.  def resetCount(severity: Severity): Unit
    Definition Classes
      Reporter → Reporter
39.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
40.  def toString(): String
    Definition Classes
      AnyRef → Any
41.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
42.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
43.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
44.  def warning(pos: Position, msg: String): Unit
    Definition Classes
      Reporter
45.  def warningCount: Int
    Definition Classes
      Reporter
46.  def →[B](y: B): (AbstractReporter, B)
    Implicit
      This member is added by an implicit conversion from AbstractReporter to ArrowAssoc[AbstractReporter] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc
47.  object INFO extends Severity
    Definition Classes
      Reporter → Reporter
48.  object WARNING extends Severity
    Definition Classes
      Reporter → Reporter

### Inherited from Reporter

### Inherited from reflect.internal.Reporter

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from AbstractReporter to any2stringadd[AbstractReporter]

### Inherited by implicit conversion StringFormat from AbstractReporter to StringFormat[AbstractReporter]

### Inherited by implicit conversion Ensuring from AbstractReporter to Ensuring[AbstractReporter]

### Inherited by implicit conversion ArrowAssoc from AbstractReporter to ArrowAssoc[AbstractReporter]

### Ungrouped